package com.gic.haoban.manage.service.entity.chat;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanGroupChatHmRelation
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年12月05日 17:33:14
 * @Modify
 * @CopyRight 
 */
public class TabGroupChatHmRelation implements Serializable {

    private static final long serialVersionUID = 348790533088000L;

    private Long relationId;
    private String wxEnterpriseId;
    private String enterpriseId;
    private Long chatHmId;
    private Long groupChatId;
    private Integer deleteFlag;
    private Integer statusFlag;
    private java.util.Date createTime;
    private java.util.Date updateTime;

    public void setRelationId(Long relationId) {
        this.relationId = relationId;
    }

    public Long getRelationId() {
        return relationId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setChatHmId(Long chatHmId) {
        this.chatHmId = chatHmId;
    }

    public Long getChatHmId() {
        return chatHmId;
    }

    public void setGroupChatId(Long groupChatId) {
        this.groupChatId = groupChatId;
    }

    public Long getGroupChatId() {
        return groupChatId;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }
}